Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerSpecialEffect Class Reference

`#include <ExManagerSpecialEffect.h>`

Inheritance diagram for ExManagerSpecialEffect:

## Public Methods
void | Reset (void)
void | SetAntialliasingState (bool state)
void | SetMotionBlurState (bool state)
bool | GetAntialliasingState (void)
bool | GetMotionBlurState (void)
void | MotionBlur (void)
void | CapturForMotionBlur (void)
void | Specialeffect (void)
void | SetSpecialEffect (int effect)
## Static Public Methods
ExManagerSpecialEffect * | CreateSingleton (void)
## Private Methods
| ExManagerSpecialEffect (void)
| ~ExManagerSpecialEffect (void)
## Private Attributes
bool | m_Antialliasing
bool | m_MotionBlur
bool | m_MotionBlurTexture
uint | TextureMotionBlur
int | m_effect
float | m_CouterEffect
## Static Private Attributes
bool | m_flag = false
ExManagerSpecialEffect * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerSpecialEffect | ( | void |  | ) | `[private]`

| Definition at line 42 of file ExManagerSpecialEffect.cpp.
    00043 {
    00044 }

~ExManagerSpecialEffect | ( | void |  | ) | `[private]`

| Definition at line 46 of file ExManagerSpecialEffect.cpp.
    00047 {
    00048 }

## Member Function Documentation

void CapturForMotionBlur | ( | void |  | ) |

ExManagerSpecialEffect * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 28 of file ExManagerSpecialEffect.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00028                                                                    {
    00029 Guard(ExManagerSpecialEffect* ExManagerSpecialEffect::CreateSingleton(void))
    00030         if(!m_flag)
    00031         {
    00032                 m_flag = true; // We are creating the error log now, so set flag to true
    00033                 m_instance = new ExManagerSpecialEffect; // Create the error log
    00034         }else
    00035         {
    00036                 std::cout<<"Error singleton already created"<<std::endl;
    00037         }
    00038         return m_instance;
    00039 UnGuard
    00040 }

bool GetAntialliasingState | ( | void |  | ) | `[inline]`

| Definition at line 98 of file ExManagerSpecialEffect.h. References m_MotionBlur.
    00098 {m_MotionBlur=state;}

bool GetMotionBlurState | ( | void |  | ) | `[inline]`

| Definition at line 99 of file ExManagerSpecialEffect.h. References m_Antialliasing.
    00099 {return m_Antialliasing;}

void MotionBlur | ( | void |  | ) |

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 50 of file ExManagerSpecialEffect.cpp.
    00051 {
    00052 }

void SetAntialliasingState | ( | bool | state | ) |

void SetMotionBlurState | ( | bool | state | ) | `[inline]`

| Definition at line 97 of file ExManagerSpecialEffect.h.
    00098 {m_MotionBlur=state;}

void SetSpecialEffect | ( | int | effect | ) |

void Specialeffect | ( | void |  | ) |

## Field Documentation

bool m_Antialliasing`[private]`

| Definition at line 74 of file ExManagerSpecialEffect.h. Referenced by GetMotionBlurState().

float m_CouterEffect`[private]`

| Definition at line 80 of file ExManagerSpecialEffect.h.

int m_effect`[private]`

| Definition at line 79 of file ExManagerSpecialEffect.h.

bool m_flag = false`[static, private]`

| Definition at line 25 of file ExManagerSpecialEffect.cpp. Referenced by CreateSingleton().

ExManagerSpecialEffect * m_instance = NULL`[static, private]`

| Definition at line 26 of file ExManagerSpecialEffect.cpp. Referenced by CreateSingleton().

bool m_MotionBlur`[private]`

| Definition at line 75 of file ExManagerSpecialEffect.h. Referenced by GetAntialliasingState().

bool m_MotionBlurTexture`[private]`

| Definition at line 76 of file ExManagerSpecialEffect.h.

uint TextureMotionBlur`[private]`

| Definition at line 77 of file ExManagerSpecialEffect.h.

The documentation for this class was generated from the following files:

- ExManagerSpecialEffect.h
- ExManagerSpecialEffect.cpp